#specfile originally created for Fedora, modified for Moblin Linux
Summary: ACPI Event Daemon
Name: acpid
Version: 1.0.10
Release: 6.1.moblin2
License: GPLv2+ and BSD
Group: System Environment/Daemons
Source: http://prdownloads.sourceforge.net/acpid/acpid-%{version}.tar.gz
Source2: acpid.video.conf
Source3: acpid.power.conf
Source4: acpid.power.sh
Source5: acpid.lid.conf
Source6: acpid.lid.sh
Source7: acpid.battery.sh
Source8: acpid.battery.conf
Source9: acpid.ac.conf
Source13: acpid-start-script
Source14: acpid.start.sh

Source20: storage-fixup-0.2~20090710.tar.bz2

Patch1: acpid-1.0.8-makefile.patch
Patch2: storage-fixup-for-msi-wind-u100.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch: ia64 x86_64 %{ix86}
URL: http://acpid.sourceforge.net/
Requires: hdparm
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service


%description
acpid is a daemon that dispatches ACPI events to user-space programs.


%prep
%setup -q
%patch1 -p1 -b .makefile
# storage-fixup source and patch
tar xjf %{SOURCE20}
mv storage-fixup-*/LICENSE LICENSE.storage-fixup
cd storage-fixup-*
%patch2 -p1 -b .storage-fixup-for-msi-wind-u100
cd ..

%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install INSTPREFIX=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/acpi/actions
mkdir -p $RPM_BUILD_ROOT%{_datadir}/acpi
chmod 755 $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/acpi/ac.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/acpi/battery.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/acpi/start.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pm/sleep.d
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/acpi-support
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events/video.conf
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events/power.conf
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/acpi/actions/power.sh
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events/lid.conf
install -m 755 %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/acpi/actions/lid.sh
install -m 755 %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/acpi/actions/battery.sh
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events/battery.conf
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events/ac.conf
install -m 755 %{SOURCE13} $RPM_BUILD_ROOT%{_sbindir}/acpid-start-script
install -m 755 %{SOURCE14} $RPM_BUILD_ROOT%{_sysconfdir}/acpi/actions/start.sh

# install storage-fixup
install -m 755 storage-fixup-*/storage-fixup $RPM_BUILD_ROOT%{_sbindir}/storage-fixup
ln -s ../../..%{_sbindir}/storage-fixup $RPM_BUILD_ROOT%{_sysconfdir}/acpi/battery.d/storage-fixup.sh
ln -s ../../..%{_sbindir}/storage-fixup $RPM_BUILD_ROOT%{_sysconfdir}/acpi/ac.d/storage-fixup.sh
ln -s ../../..%{_sbindir}/storage-fixup $RPM_BUILD_ROOT%{_sysconfdir}/acpi/start.d/storage-fixup.sh
ln -s ../../..%{_sbindir}/storage-fixup $RPM_BUILD_ROOT%{_sysconfdir}/pm/sleep.d/storage-fixup.sh
install -m 644 storage-fixup-*/storage-fixup.conf $RPM_BUILD_ROOT%{_sysconfdir}/
cat storage-fixup-*/storage-fixup.8 | gzip -9 > storage-fixup.8.gz
install -m 644 storage-fixup.8.gz $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING README Changelog TODO LICENSE.storage-fixup
%dir %{_sysconfdir}/acpi
%dir %{_sysconfdir}/acpi/events
%dir %{_sysconfdir}/acpi/actions
%dir %{_sysconfdir}/acpi/ac.d
%dir %{_sysconfdir}/acpi/battery.d
%dir %{_localstatedir}/lib/acpi-support
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/acpi/events/video.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/acpi/events/power.conf
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/acpi/actions/power.sh
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/acpi/events/lid.conf
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/acpi/actions/lid.sh
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/acpi/actions/battery.sh
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/acpi/events/battery.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/acpi/events/ac.conf
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/acpi/actions/start.sh

%{_bindir}/acpi_listen
%{_sbindir}/acpid
%{_sbindir}/acpid-start-script
%{_mandir}/man8/acpid.8.gz
%{_mandir}/man8/acpi_listen.8.gz

%{_sbindir}/storage-fixup
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/acpi/battery.d/storage-fixup.sh
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/acpi/start.d/storage-fixup.sh
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/pm/sleep.d/storage-fixup.sh
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/acpi/ac.d/storage-fixup.sh
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/storage-fixup.conf
%{_mandir}/man8/storage-fixup.8.gz
%changelog
* Wed Jul 15 2009 Yan Li <yan.i.li@intel.com> 1.0.10
- Install storage-fixup to /usr/sbin
- Fix errors in start.sh
* Fri Jul 10 2009 Yan Li <yan.i.li@intel.com> 1.0.10
- Use storage-fixup (by the Linux ATA/IDE maintainers) and tweak HD
  power setting only on affected models (Moblin bug #3827)
- Fix RPMLINT warnings
* Wed Jun 24 2009 Yan Li <yan.i.li@intel.com> 1.0.10
- set hdparm on system start-up and resume
* Mon Jun 22 2009 Yan Li <yan.i.li@intel.com> 1.0.10
- Improved previous fix of Moblin bug #1721, correctly handling ac
  events as well as battery events
* Wed Jun 10 2009 Yan Li <yan.i.li@intel.com> 1.0.10
- Ported hdparm control script from Debian to fix Moblin bug #1721
* Mon May 25 2009 Anas Nashif <anas.nashif@intel.com> 1.0.10
- Fixed Changelog
- Update to 1.0.10 with integrated CVE fix (CVE-2009-0798)
* Thu May 21 2009 Peter Zhu <peter.j.zhu@intel.com> - 1.0.8-1
- enable lid.sh to check if dalston-power-applet running
* Tue May 12 2009 Peter Zhu <peter.j.zhu@intel.com> - 1.0.8-1
- Monitor lid event
* Thu Apr 30 2009 Zhang, Qiang Z <qiang.z.zhang@intel.com> - 1.0.8-1
- Fix CVE-2009-0798
* Mon Apr 20 2009 Peter Zhu <peter.j.zhu@intel.com> - 1.0.8-1
- check for xfce4-power-manager
- ck-list-sessions now returns uid under the field of "unix-user"
- fixed bug 1726
* Thu Feb 12 2009 Yin Kangkai <kangkai.yin@intel.com> - 1.0.8-1
- Upgrade to 1.0.8
* Fri Jan 30 2009 Arjan van de Ven <arjan@linux.intel.com> - 1.0.6-9
- don't use the init script at all; let fastinit take care of starting
* Wed Jan  7 2009 Arjan van de Ven <arjan@linux.intel.com> - 1.0.6-8
- don't use a stop priority; lets just be killed
